
@page {
  size: A4;
  margin: 0mm;
}

body {
  font-family: Arial, sans-serif;
  background: #808080;
}

body a{ text-decoration: none;}

.container {
  width: 210mm;
  min-height: 297mm;
  margin: 20px auto;
  background: #ffffff;
  padding: 20px;
  position: relative;
  overflow: hidden; 
  border-radius: 20px;
  z-index: 0;
  box-shadow: inset 0 0 0px rgba(0,0,0,1);
}

.container::before {
  content: "";
  position: absolute;
  z-index: -2;
  top: 50%;
  left: 50%;
  width: 70%;
  height: 150%; 
  transform: translate(-50%, -50%) rotate(0deg);
  background-image: conic-gradient(transparent, transparent, transparent, #00fff2);
  animation: rotate 5s linear infinite;
}

.container::after {
  content: "";
  position: absolute;
  z-index: -1;
  inset: 5px;
  background: #ffffff;
  border-radius: 15px;
}

.container * {
  position: relative;
  z-index: 1;
}

@keyframes rotate {
  from {transform: translate(-50%, -50%) rotate(0deg);}
  to {transform: translate(-50%, -50%) rotate(360deg);}
}


h1 {
  margin-bottom: 5px;
}

h2 {
    margin-top: 25px;
    margin-bottom: -7px;
    border-bottom: 1px solid #ddd;
    padding-bottom: 5px;
    font-size: 18px;
}

p, li {
    font-size: 14px;
    line-height: 1.5;
}

li { margin-top: 2px; padding: 0;}

p + ul {
    margin-top: 0px;
}

.top-info {
  font-size: 14px;
}

.top-info i {
  width: 17px;
  vertical-align: middle;
}

.top-info a, .top-info span {
  vertical-align: middle;
}

.top-info a{
  font-style: normal;
  font-size: 14px;
  color: #0000ee;
  transition: ease-in-out 0.3s;
}

.top-info a:hover{
  color: #70d6e4;
}

.button-area {
  text-align: center;
  margin: 20px;
  display: flex;
  align-items: center;
  align-content: center;
  justify-content: center;
}

.buttons {
  display: flex;
  gap: 10px;
}

button {
  display: inline-flex;
  padding: 10px 20px;
  border: none;
  border-radius: 15px;
  background: rgba(0, 0, 0, 0.2);
  color: white;
  cursor: pointer;
  height: auto;
  transition: ease-in-out 0.5s;
}

button:hover {
  background: rgba(0, 0, 0, 1);
  transition: ease-in-out 0.5s;
}

button img {
  margin:0px;
  padding:0px;
  vertical-align: middle;
  margin-right: 5px;
}

.timeline-content p, .container > p { margin-bottom: 0px; }

.timeline-item{ margin-left: 10px; }

.timeline-item {
  position: relative;
  margin-bottom: 20px;
  padding-left: 10px;
}

.timeline .timeline-item::before {
  content: "";
  position: absolute;
  left: -5px;
  top: 16px; 
  width: 2px;
  background: #000;
  height: calc(100% + 8px); 
  z-index: 1;
}


.timeline-item::after {
  content: "";
  position: absolute;
  left: -8px; /* Mantendo sua config */
  top: 6px;
  width: 8px;
  height: 8px;
  background: black;
  border-radius: 100%;
  z-index: 2;
}

.timeline .timeline-item:last-child::before { display: none; }


/* --- Regras para a tela (Navegador) --- */
.only-print {display: none;}

.no-print {
  color: #666;
  font-style: italic;
  font-size: 11px;
}


@media print {
  body { background: white; }

  .button-area { display: none; }

  .container {
    box-shadow: none;
    margin: 0;
    width: auto;
  }

  .container::before, .container::after { display: none; }
  body {
    -webkit-print-color-adjust: exact;
    print-color-adjust: exact;
  }

  .no-print { display: none !important; }
  
  .only-print {
    display: inline !important;
    color: #000;
  }

}


/* Estado base do container */
.container {
  transition: opacity 1s ease, filter 0.8s ease;
}

/* Classe aplicada durante a troca */
.container-fade {
  opacity: 1;
  filter: blur(7px);
}